Skip to content

insertFixedAsset

WRITE

Insert fixed asset.

POST /api/v1/accounting/insertFixedAsset
curl -X POST '<your-host>/api/v1/accounting/insertFixedAsset' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "fixedAssetClassId": "string",
    "name": "string",
    "depreciationMethod": "string",
    "usefulLifeMonths": 0,
    "residualValuePercent": 0
  }'
Response
{
  "id": "string",
  "fixedAssetId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "fixedAssetId": {
      "type": "string"
    },
    "fixedAssetClassId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "serialNumber": {
      "type": "string"
    },
    "depreciationMethod": {
      "type": "string"
    },
    "usefulLifeMonths": {
      "type": "number"
    },
    "residualValuePercent": {
      "type": "number"
    },
    "assetLifetimeUsage": {
      "type": [
        "number",
        "null"
      ]
    },
    "locationId": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "taxDepreciationMethod": {
      "type": [
        "string",
        "null"
      ]
    },
    "taxUsefulLifeMonths": {
      "type": [
        "number",
        "null"
      ]
    },
    "taxResidualValuePercent": {
      "type": [
        "number",
        "null"
      ]
    },
    "macrsPropertyClass": {
      "type": [
        "string",
        "null"
      ]
    },
    "macrsConvention": {
      "type": [
        "string",
        "null"
      ]
    },
    "bonusDepreciationPercent": {
      "type": [
        "number",
        "null"
      ]
    }
  },
  "required": [
    "fixedAssetClassId",
    "name",
    "depreciationMethod",
    "usefulLifeMonths",
    "residualValuePercent"
  ]
}